Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg.annotations
Class EntityBinder

    java.lang.Object
      org.hibernate.cfg.annotations.EntityBinder

    public class EntityBinder

extends Object

Stateful holder and processor for binding Entity information

Author:
  Emmanuel Bernard

Constructor Summary
`EntityBinder()` Use as a fake one for Collection of elements
`EntityBinder(javax.persistence.Entity ejb3Ann, Entity hibAnn, XClass annotatedClass, org.hibernate.mapping.PersistentClass persistentClass, ExtendedMappings mappings)`

Method Summary
`void` | `addFilter(String name, String condition)`
`void` | `addIndexes(Table table)`
`void` | `addIndexes(Tables tables)`
`org.hibernate.mapping.Join` | `addJoin(javax.persistence.JoinTable joinTable, PropertyHolder holder, boolean noDelayInPkColumnCreation)`
`void` | `bindDiscriminatorValue()`
`void` | `bindEntity()`
`static void` | `bindJoinToPersistentClass(org.hibernate.mapping.Join join, Ejb3JoinColumn[] ejb3JoinColumns, org.hibernate.mapping.PersistentClass persistentClass, ExtendedMappings mappings)`
`void` | `bindTable(String schema, String catalog, String tableName, List uniqueConstraints, String constraints, org.hibernate.mapping.Table denormalizedSuperclassTable)`
`void` | `finalSecondaryTableBinding(PropertyHolder propertyHolder)`
`void` | `firstLevelSecondaryTablesBinding(javax.persistence.SecondaryTable secTable, javax.persistence.SecondaryTables secTables)`
`static String` | `getCacheConcurrencyStrategy(CacheConcurrencyStrategy strategy)`
`String` | `getPropertyAccessor()`
`String` | `getPropertyAccessor(XAnnotatedElement element)`
`Map<String,org.hibernate.mapping.Join>` | `getSecondaryTables()`
`boolean` | `isIgnoreIdAnnotations()`
`boolean` | `isPropertyAnnotated()`
`boolean` | `isPropertyAnnotated(XAnnotatedElement element)`
`void` | `setBatchSize(BatchSize sizeAnn)`
`void` | `setCache(Cache cacheAnn)`
`void` | `setDiscriminatorValue(String discriminatorValue)`
`void` | `setIgnoreIdAnnotations(boolean ignoreIdAnnotations)`
`void` | `setInheritanceState(InheritanceState inheritanceState)`
`void` | `setPropertyAccessor(String propertyAccessor)`
`void` | `setPropertyAnnotated(boolean propertyAnnotated)`
`void` | `setProxy(Proxy proxy)`
`void` | `setWhere(Where whereAnn)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityBinder

    public EntityBinder()

  Use as a fake one for Collection of elements

### EntityBinder

    public EntityBinder(javax.persistence.Entity ejb3Ann,
                        Entity hibAnn,
                        XClass annotatedClass,
                        org.hibernate.mapping.PersistentClass persistentClass,
                        ExtendedMappings mappings)

Method Detail

### isPropertyAnnotated

    public boolean isPropertyAnnotated()

### setDiscriminatorValue

    public void setDiscriminatorValue(String discriminatorValue)

### bindEntity

    public void bindEntity()

### bindDiscriminatorValue

    public void bindDiscriminatorValue()

### setBatchSize

    public void setBatchSize(BatchSize sizeAnn)

### setProxy

    public void setProxy(Proxy proxy)

### setWhere

    public void setWhere(Where whereAnn)

### bindTable

    public void bindTable(String schema,
                          String catalog,
                          String tableName,
                          List uniqueConstraints,
                          String constraints,
                          org.hibernate.mapping.Table denormalizedSuperclassTable)

### finalSecondaryTableBinding

    public void finalSecondaryTableBinding(PropertyHolder propertyHolder)

### bindJoinToPersistentClass

    public static void bindJoinToPersistentClass(org.hibernate.mapping.Join join,
                                                 Ejb3JoinColumn[] ejb3JoinColumns,
                                                 org.hibernate.mapping.PersistentClass persistentClass,
                                                 ExtendedMappings mappings)

### firstLevelSecondaryTablesBinding

    public void firstLevelSecondaryTablesBinding(javax.persistence.SecondaryTable secTable,
                                                 javax.persistence.SecondaryTables secTables)

### addJoin

    public org.hibernate.mapping.Join addJoin(javax.persistence.JoinTable joinTable,
                                              PropertyHolder holder,
                                              boolean noDelayInPkColumnCreation)

### getSecondaryTables

    public Map<String,org.hibernate.mapping.Join> getSecondaryTables()

### setCache

    public void setCache(Cache cacheAnn)

### getCacheConcurrencyStrategy

    public static String getCacheConcurrencyStrategy(CacheConcurrencyStrategy strategy)

### addFilter

    public void addFilter(String name,
                          String condition)

### setInheritanceState

    public void setInheritanceState(InheritanceState inheritanceState)

### isIgnoreIdAnnotations

    public boolean isIgnoreIdAnnotations()

### setIgnoreIdAnnotations

    public void setIgnoreIdAnnotations(boolean ignoreIdAnnotations)

### addIndexes

    public void addIndexes(Table table)

### addIndexes

    public void addIndexes(Tables tables)

### setPropertyAnnotated

    public void setPropertyAnnotated(boolean propertyAnnotated)

### getPropertyAccessor

    public String getPropertyAccessor()

### setPropertyAccessor

    public void setPropertyAccessor(String propertyAccessor)

### isPropertyAnnotated

    public boolean isPropertyAnnotated(XAnnotatedElement element)

### getPropertyAccessor

    public String getPropertyAccessor(XAnnotatedElement element)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD